import pandas as pd

pokemon_raw_path = "pokemon-stats/pokemon-stats-raw.csv"
pokemon_clean_path = "pokemon-stats/pokemon-stats.csv"

pokemon_stats_raw = pd.read_csv(pokemon_raw_path)
pokemon_stats = pokemon_stats_raw.rename(columns = {
  "#": "id",
  "Name": "name",
  "Type 1": "type_1",
  "Type 2": "type_2",
  "Total": "total",
  "HP": "hp",
  "Attack": "attack",
  "Defense": "defense",
  "Sp. Atk": "special_attack",
  "Sp. Def": "special_defense",
  "Speed": "speed",
  "Generation": "generation",
  "Legendary": "legendary"
})

pokemon_stats.to_csv(pokemon_clean_path, index=False)

